乐筑天下

搜索
欢迎各位开发者和用户入驻本平台 尊重版权,从我做起,拒绝盗版,拒绝倒卖 签到、发布资源、邀请好友注册,可以获得银币 请注意保管好自己的密码,避免账户资金被盗
查看: 12|回复: 0

[讨论]讨论代码!急!

[复制链接]

10

主题

27

帖子

2

银币

初露锋芒

Rank: 3Rank: 3Rank: 3

铜币
67
发表于 2002-12-21 16:46:00 | 显示全部楼层 |阅读模式
下面一段代码为什么不能显示填充图案???
Adesk::Boolean zmyrectangle::worldDraw(AcGiWorldDraw* mode)
{
        assertReadEnabled();
        // TODO: implement this function.
        AcGePoint3d Pts[2];
        AcGePoint3d pt[4];
        AcDbObjectId lineId0;
        AcDbObjectId lineId1;
        AcDbObjectId lineId2;
        AcDbObjectId lineId3;
        AcDbObjectIdArray dbObjIds;
    AcDbLine *line0;
        AcDbLine *line1;
        AcDbLine *line2;
        AcDbLine *line3;
        point(pt);
        Pts[0].x=pt[0].xts[0].y=pt[0].yts[0].z=0;
        Pts[1].x=pt[1].xts[1].y=pt[1].yts[1].z=0;
        line0=new AcDbLine(Pts[0],Pts[1]);
        line0->worldDraw(mode);
        //line->postToDb(line, lineId);
    dbObjIds.append(lineId0);
        
        
        Pts[0].x=pt[1].xts[0].y=pt[1].yts[0].z=0;
        Pts[1].x=pt[2].xts[1].y=pt[2].yts[1].z=0;
        line1=new AcDbLine(Pts[0],Pts[1]);
        line1->worldDraw(mode);
        //line->postToDb(line, lineId);
    dbObjIds.append(lineId1);
        Pts[0].x=pt[2].xts[0].y=pt[2].yts[0].z=0;
        Pts[1].x=pt[3].xts[1].y=pt[3].yts[1].z=0;
        line2=new AcDbLine(Pts[0],Pts[1]);
        line2->worldDraw(mode);
        //line->postToDb(line, lineId);
    dbObjIds.append(lineId2);
        Pts[0].x=pt[3].xts[0].y=pt[3].yts[0].z=0;
        Pts[1].x=pt[0].xts[1].y=pt[0].yts[1].z=0;
        line3=new AcDbLine(Pts[0],Pts[1]);
        line3->worldDraw(mode);
        //line->postToDb(line, lineId);
    dbObjIds.append(lineId3);
        
        AcDbHatch *pHatch=new AcDbHatch();
        AcGeVector3d normal(0.0, 1.0, 0.0);
    pHatch->setNormal(normal);
    //pHatch->setElevation(0.0);
    // Set hatch pattern to ANSI31 predefined type
    //
    pHatch->setPattern(AcDbHatch::kPreDefined, "ANSI31");
    // Set Associativity
    //
   // pHatch->setAssociative(Adesk::kTrue);
        
    // Append an internal loop (circle) to hatch boundary
    //
    //pHatch->appendLoop(AcDbHatch::kDefault, dbObjIds);
        pHatch->appendLoop(AcDbHatch::kExternal, dbObjIds);
        pHatch->worldDraw(mode);
        // Elaborate hatch lines
    //
    pHatch->evaluateHatch();
        // Post hatch entity to database
    //
    //pHatch->postToDb(pHatch);
        
        delete pHatch;
        delete line0;
        delete line1;
        delete line2;
        delete line3;
        return Acad::eOk;
}
回复

使用道具 举报

发表回复

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

  • 微信公众平台

  • 扫描访问手机版

  • 点击图片下载手机App

QQ|关于我们|小黑屋|乐筑天下 繁体中文

GMT+8, 2024-11-22 05:27 , Processed in 0.305958 second(s), 54 queries .

© 2020-2024 乐筑天下

联系客服 关注微信 帮助中心 下载APP 返回顶部 返回列表